Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_model_query_string

## Name

librdf_model_query_string -- Run a query string against the model returning matching statements

## Synopsis

``librdf_stream* `librdf_model_query_string`` (librdf_model* `model`, const char * `name`, librdf_uri * `uri`, const char * `query_string`);`

## Arguments

`model`

  librdf_model object

`name`

  query language name

`uri`

  query language URI (or NULL)

`query_string`

  string in query language

## Description

Run the given query against the model and return a librdf_stream of matching librdf_statement objects

## Return value

librdf_stream of matching statements (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_model_query | Up | librdf_model_sync